# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

from locale import gettext as _

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('training')

from training_lib import Window
from training.AboutTrainingDialog import AboutTrainingDialog
from training.PreferencesTrainingDialog import PreferencesTrainingDialog

# See training_lib.Window.py for more details about how this class works
class TrainingWindow(Window):
    __gtype_name__ = "TrainingWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(TrainingWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutTrainingDialog
        self.PreferencesDialog = PreferencesTrainingDialog

        # Code for other initialization actions should be added here.

